# List questions

`GET /events/{eventId}/questions`

Base URL: `https://api.viewcy.com/2025_06`

## Parameters

- `eventId` (path, string, **required**) (example: `00000000-0000-0000-0000-000000000000`)
- `page` (query, integer, optional) (example: `1`)
- `perPage` (query, integer, optional) (example: `1`)

## Responses

### 200 — Returns the event's questions

- `data` (array)
  Items:
    - `object` (string)
    - `id` (string)
    - `position` (integer)
    - `fieldType` (string)
    - `title` (string)
    - `options` (array)
    - `termsText` (string)
    - `required` (boolean)
    - `onlyForTickets` (array)
- `object` (string)
- `page` (integer)
- `totalPages` (integer)
- `perPage` (integer)
- `totalCount` (integer)
- `hasNextPage` (boolean)
- `meta` (object)
  - `requestId` (string)

### 401 — Returns 401

- `object` (string)
- `status` (integer)
- `message` (string)
- `meta` (object)
  - `requestId` (string)

### 403 — When oauth token lacks events read scope returns 403 when oauth token lacks events read scope

- `object` (string)
- `status` (integer)
- `message` (string)
- `meta` (object)
  - `requestId` (string)

### 404 — Returns 404 for non-existent event

- `object` (string)
- `status` (integer)
- `message` (string)
- `meta` (object)
  - `requestId` (string)

---
Full OpenAPI spec: https://developer.viewcy.com/openapi/2025_06_viewcy_api.yaml

Interactive docs: https://developer.viewcy.com/api/list-questions
